Summary:	Compatibility layer for Window Maker dockapps for XFCE.
Name:		xfce-wmdock-plugin
Version:	0.2.0
Release:	%mkrel 1
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-wmdock-plugin
Packager:	Mario Blättermann
Source0:	xfce4-wmdock-plugin-%{version}.tar.bz2
Requires:	xfce4-panel >= 4.3.99
Requires:	libwnck
BuildRequires:	libxfce4panel-devel >= 4.3.99
BuildRequires:	libwnck-devel
BuildRequires:	perl(XML::Parser)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description

WMdock plugin is a compatibility layer for Window Maker dockapps for XFCE.
To add a dockapp start it e.g. in xterm.
At time best practice is, you set your panel size greater than 64 pixels.

%description -l de

Das WMdock-Plugin stellt eine Schnittstelle für WindowMaker-Dockapps unter XFCE zur Verfügung.
Dockapps müssen separat gestartet werden, z.B. im xterm.
Es ist empfehlenswert, das Panel grösser als 64 Pixel zu wählen.


%prep
%setup -qn xfce4-wmdock-plugin-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING AUTHORS NEWS
%{_libexecdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*
%{_datadir}/icons/hicolor/48x48/apps/*

%post
gtk-update-icon-cache -f -t /usr/share/icons/hicolor

%postun
gtk-update-icon-cache -f -t /usr/share/icons/hicolor


%changelog

* Sun Feb 17 2008 Mario Blaettermann <mario.blaettermann@t-online.de> 0.2.0-1mud.2008.0
- 0.2.0

* Sun Feb 10 2008 Mario Blaettermann <mario.blaettermann@t-online.de> 0.1.9-1mud.2008.0
- 0.1.9

* Thu Nov 08 2007 Mario Blaettermann <mbl103@arcor.de> 0.1.6-1
- 0.1.6
- first public version


